/*
Smallest multiple

Problem 5
	2520 is the smallest number that can be divided by each of the numbers from 1 to 10 without any remainder.

	What is the smallest positive number that is evenly divisible by all of the numbers from 1 to 20?
*/
#include <stdio.h>

using namespace std;

#define MAX_VALUE 20


int main(int argc, char const *argv[])
{
	int i = 0;
	int incMultiplos = 0;

	bool flgValid = true;

	do
	{
		i++;
		flgValid = true;
		incMultiplos = MAX_VALUE;

		while(incMultiplos > 0)
		{
		    flgValid &= (i % incMultiplos-- == 0);
		    if (!flgValid) break;
		}

	}while(!flgValid);

	printf("i: %d \t%x\n", i, flgValid);

	return 0;
}